--- old/build/openssh/build.sh	Wed Feb 10 16:24:59 2016
+++ new/build/openssh/build.sh	Wed Feb 10 16:24:59 2016
@@ -47,32 +47,37 @@
     "
 # Feature choices
 CONFIGURE_OPTS="
+    --with-audit=solaris
+    --with-kerberos5=$PREFIX/usr
+    --with-pam
+    --with-sandbox=solaris
     --with-solaris-contracts
-    --with-solaris-projects
+    --with-solaris-privs
     --with-tcp-wrappers
-    --with-ssl-engine
-    --with-pam
-    --with-audit=solaris
+    --with-4in6
+    --enable-strip=no
+    --without-rpath
     --disable-lastlog
+    --with-privsep-user=daemon
+    --with-ssl-engine
+    --with-solaris-projects
     "
 
-install_smf() {
-    logmsg "Installing SMF components"
-    logcmd mkdir -p $DESTDIR/lib/svc/manifest/network || \
-        logerr "--- Failed to create manifest directory"
-    logcmd cp $SRCDIR/ssh.xml $DESTDIR/lib/svc/manifest/network/ || \
-        logerr "--- Failed to copy manifest file"
-    logcmd mkdir -p $DESTDIR/lib/svc/method || \
-        logerr "--- Failed to create method directory"
-    logcmd cp $SRCDIR/method-sshd $DESTDIR/lib/svc/method/sshd || \
-        logerr "--- Failed to copy method script"
+CFLAGS+="-DPAM_ENHANCEMENT -DSET_USE_PAM -DPAM_BUGFIX -DDTRACE_SFTP "
+CFLAGS+="-I/usr/include/kerberosv5 -DKRB5_BUILD_FIX -DDISABLE_BANNER "
+CFLAGS+="-DDEPRECATE_SUNSSH_OPT -DOPTION_DEFAULT_VALUE -DSANDBOX_SOLARIS"
+
+auto_reconf() {
+        # This package needs a whack upside the head post-patches!
+        pushd $TMPDIR/$BUILDDIR
+        autoreconf -fi
+        popd
 }
 
-CFLAGS+="-DPAM_ENHANCEMENT -DSET_USE_PAM -DPAM_BUGFIX -DDTRACE_SFTP"
-
 init
 download_source $PROG $PROG $VER
 patch_source
+auto_reconf
 prep_build
 run_autoconf
 build
@@ -90,7 +95,6 @@
 SUMMARY="OpenSSH Server"
 DESC="OpenSSH Secure Shell protocol Server"
 RUN_DEPENDS_IPS="-pkg:/service/network/ssh pkg:/network/openssh@$VER"
-install_smf
 make_package server.mog
 
 clean_up
--- old/build/openssh/client.mog	Wed Feb 10 16:25:00 2016
+++ new/build/openssh/client.mog	Wed Feb 10 16:25:00 2016
@@ -1,6 +1,12 @@
 <transform file path=etc/ssh/moduli -> drop>
 <transform file path=etc/ssh/sshd_config -> drop>
+<transform dir path=lib/svc/manifest/network -> drop>
+<transform file path=lib/svc/manifest/network/ssh.xml -> drop>
+<transform dir path=lib/svc/method -> drop>
+<transform file path=lib/svc/method/sshd -> drop>
 <transform file path=usr/libexec/sftp-server -> drop>
+<transform dir path=usr/lib/dtrace -> drop>
+<transform file path=usr/lib/dtrace/sftp.d -> drop>
 <transform dir path=usr/sbin -> drop>
 <transform file path=usr/sbin/sshd -> drop>
 <transform file path=usr/share/man/man4/moduli.4 -> drop>
--- old/build/openssh/patches/series	Wed Feb 10 16:25:02 2016
+++ new/build/openssh/patches/series	Wed Feb 10 16:25:02 2016
@@ -1,10 +1,38 @@
-sshd_config.patch
-0002-PAM-Support.patch
-0003-lastlogin.patch
-0004-Reorganise-man-pages-into-Illumos-numbering-adjust-t.patch
-0009-PAM-conversation-fix.patch
-0010-PAM-enhancements-for-Solaris.patch
-0014-Solaris-Auditing-support.patch
-0016-Enable-login-to-a-role-if-PAM-is-ok-with-it.patch
-0017-PAM-setcred-failures.patch
-0032-Accept-LANG-and-LC_-environment-variables-from-clien.patch
+sshd_config.patch 
+0001-upstream-commit.patch 
+0002-Support-Illumos-Solaris-fine-grained-privileges.patch 
+0003-Skip-config-check.patch 
+0004-PAM-Support.patch 
+0005-lastlogin.patch 
+0006-Reorganise-man-pages-into-Illumos-numbering-adjust-t.patch 
+0007-Deprecated-SunSSH-options.patch 
+0008-GSS-store-creds-for-Solaris.patch 
+0009-DTrace-support-for-SFTP.patch 
+0010-Add-DisableBanner-option.patch 
+0011-PAM-conversation-fix.patch 
+0012-PAM-enhancements-for-Solaris.patch 
+0013-SunSSH-compat-default-config-values.patch 
+0014-Deprecate-SunSSH-compatible-server-options.patch 
+0015-Solaris-Auditing-support.patch 
+0016-GSS-API-key-exchange-support.patch 
+0017-Enable-login-to-a-role-if-PAM-is-ok-with-it.patch 
+0018-PAM-setcred-failures.patch 
+0019-Don-t-call-do_pam_setcred-twice.patch 
+0020-Per-session-xauthfile.patch 
+0021-PubKeyPlugin-support.patch 
+0022-Compatibility-fix-for-ListenAddress.patch 
+0023-Hack-around-umac_ctx-name-punning.patch 
+0024-Try-to-create-privsep-chroot-dir-if-it-doesn-t-exist.patch 
+0025-Add-SMF-manifest-and-method-and-install-them.patch 
+0026-Make-default-sshd_config-more-like-the-old-illumos-o.patch 
+0027-Add-with-key-dir-configure-option-to-place-SSH-host-.patch 
+0028-Re-enable-DSA-keys-for-pk-auth.patch 
+0029-Don-t-use-krb5-config-to-check-for-GSSAPI-on-Illumos.patch 
+0030-Set-default-sshd-options-based-on-etc-default-login.patch 
+0031-Compatibility-for-SunSSH_1.5-should-include-old-DH-K.patch 
+0032-Accept-LANG-and-LC_-environment-variables-from-clien.patch 
+0033-Temporarily-set-ssh-keygen-and-ssh-add-to-old-FP-for.patch 
+0034-Restore-tcpwrappers-libwrap-support.patch 
+0035-Let-us-put-a-fallback-copy-of-DH-moduli-in-a-system-.patch 
+0036-Default-to-enabling-sandbox-when-built-with-sandbox-.patch 
+1001-dtrace32.patch
